Skip to main content
Testnet4 and Signet are supported — use https://testnet.api.bestinslot.xyz or https://signet_api.bestinslot.xyz.

BRC-20 balances of wallet

Basic, Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/wallet_balances Returns BRC-20 token balances for a Bitcoin wallet.
min_listed_unit_price is only available on Pro tier.
address
string
required
Bitcoin wallet address.
ticker
string
Filter the response to a single ticker.
curl 'https://api.bestinslot.xyz/v3/brc20/wallet_balances?address=bc1pgmtxez2cnp3wk5q52wjcakrkqqfxukgmannrtttm4kq64q53qw7qw44juz' \
  --header 'x-api-key: YOUR_API_KEY'
{
  "data": [
    {
      "ticker": "oxbt",
      "overall_balance": "5000.0000000000000000",
      "available_balance": "0.000000000000000000000000000000000000",
      "transferrable_balance": "5000.0000000000000000",
      "image_url": null,
      "min_listed_unit_price": 335.94
    },
    {
      "ticker": "mnga",
      "overall_balance": "50000.000000000000",
      "available_balance": "0.000000000000000000000000000000000000",
      "transferrable_balance": "50000.000000000000",
      "image_url": null,
      "min_listed_unit_price": 0.4072
    },
    {
      "ticker": "btoc",
      "overall_balance": "500.0000000000000000",
      "available_balance": "0.000000000000000000000000000000000000",
      "transferrable_balance": "500.0000000000000000",
      "image_url": null,
      "min_listed_unit_price": 144.556
    }
  ],
  "block_height": 795037
}

Get BRC-20 tickers

Basic, Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/tickers Returns an ordered list of BRC-20 tickers with detailed information.
min_listed_unit_price, listed_supply, marketcap, and total_sale_info are only available on Pro tier. Sorting by min_listed_unit_price, min_listed_unit_price_ordinalswallet, min_listed_unit_price_unisat, min_listed_unit_price_okx, listed_supply, listed_supply_ratio, and marketcap also requires Pro.
sort_by
string
required
Sort field. Options: deploy_ts, max_supply, burned_supply, minted_supply, remaining_supply, holder_count, tx_count, mint_progress. Pro tier adds: min_listed_unit_price, min_listed_unit_price_ordinalswallet, min_listed_unit_price_unisat, min_listed_unit_price_okx, listed_supply, listed_supply_ratio, marketcap.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Must be >= 0.
count
integer
required
Number of results to return. Range: 20–300.
minting_status
string
Filter by minting state. Set to not_complete to return only tickers with mint_progress < 100; set to completed for tickers with mint_progress = 100. Omit to include all tickers.
curl 'https://api.bestinslot.xyz/v3/brc20/tickers?sort_by=remaining_supply&order=asc&offset=0&count=100&minting_status=not_complete' \
  --header 'x-api-key: YOUR_API_KEY'
{
  "data": [
    {
      "ticker": "ordi",
      "original_ticker": "ordi",
      "image_url": "https://bis-brc20.fra1.cdn.digitaloceanspaces.com/big_icons/ORDI.png",
      "decimals": 18,
      "limit_per_mint": 1000,
      "max_supply": 21000000,
      "minted_supply": 21000000,
      "burned_supply": 0,
      "remaining_supply": 0,
      "mint_progress": 100,
      "holder_count": 21425,
      "tx_count": 139415,
      "deploy_ts": "2023-03-08T04:16:31.000Z",
      "deploy_incr_number": 348020,
      "deploy_inscr_id": "b61b0172d95e266c18aea0c624db987e971a5d6d4ebc2aaed85da4642d635735i0",
      "is_self_mint": false,
      "min_listed_unit_price": 66821.445,
      "min_listed_unit_price_ordinalswallet": 71000,
      "min_listed_unit_price_unisat": 66821.445,
      "min_listed_unit_price_okx": 68999.9909090909,
      "listed_supply": 37504.693454911176,
      "listed_supply_ratio": 0.0017859377835671988,
      "marketcap": 1403250345000.0002,
      "total_sale_info": {
        "sale_count": 41894,
        "sale_amount": 6714108,
        "vol_3h": 0,
        "vol_6h": 0,
        "vol_9h": 0,
        "vol_12h": 0,
        "vol_1d": 0,
        "vol_3d": 26836090,
        "vol_7d": 51723223,
        "vol_30d": 1443558529,
        "vol_total": 246425756972
      }
    },
    ...
  ],
  "block_height": 795037
}

Get BRC-20 ticker count

Basic, Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/ticker_cnt Returns the total number of BRC-20 tickers and the number that have not yet finished minting.
curl 'https://api.bestinslot.xyz/v3/brc20/ticker_cnt' \
  --header 'x-api-key: YOUR_API_KEY'
{
  "data": {
    "minting_ticker_cnt": 29039,
    "ticker_cnt": 36899
  },
  "block_height": 798400
}

Get BRC-20 ticker info

Basic, Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/ticker_info Returns detailed information about a specific BRC-20 ticker.
ticker
string
required
BRC-20 ticker symbol.
curl 'https://api.bestinslot.xyz/v3/brc20/ticker_info?ticker=ORDI' \
  --header 'x-api-key: YOUR_API_KEY'
{
  "data": {
    "ticker": "ordi",
    "original_ticker": "ordi",
    "image_url": "https://bis-brc20.fra1.digitaloceanspaces.com/icons/ordi.png",
    "limit_per_mint": 1000,
    "max_supply": 21000000,
    "minted_supply": 21000000,
    "burned_supply": 0,
    "mint_progress": 100,
    "holder_count": 12396,
    "tx_count": 57265,
    "deploy_ts": "2023-03-08T04:16:31.000Z",
    "deploy_incr_number": 348020,
    "deploy_inscr_id": "b61b0172d95e266c18aea0c624db987e971a5d6d4ebc2aaed85da4642d635735i0",
    "is_self_mint": false
  },
  "block_height": 795038
}

Get BRC-20 valid transfer inscriptions

Basic, Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/validtxnotes Returns an ordered list of valid BRC-20 transfer inscriptions for a given ticker.
sort_by
string
required
Sort field: inscr_num, min_price, min_unit_price, or transfer_amount.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Must be >= 0.
count
integer
required
Number of results. Range: 20–2000.
ticker
string
required
BRC-20 ticker symbol.
curl 'https://api.bestinslot.xyz/v3/brc20/validtxnotes?ticker=ordi&sort_by=min_unit_price&order=asc&offset=0&count=100' \
  --header 'x-api-key: YOUR_API_KEY'
{
  "data": [
    {
      "inscription_id": "b82f206d2d1bd7e5a2752f969acf63ac3664b2016872a4cbcc1d81a06da0bb34i0",
      "inscription_number": 27576503,
      "transfer_amount": "1000.0000000000000000",
      "is_valid": true,
      "is_used": false,
      "satpoint": "b82f206d2d1bd7e5a2752f969acf63ac3664b2016872a4cbcc1d81a06da0bb34:0:0",
      "min_price": 15575400,
      "min_unit_price": "15575.4000000000000000",
      "ordinalswallet_price": null,
      "ordinalswallet_unit_price": null,
      "okx_price": null,
      "okx_unit_price": null,
      "unisat_price": 15575400,
      "unisat_unit_price": "15575.4000000000000000"
    },
    ...
  ],
  "block_height": 798387
}

Get BRC-20 valid transfer inscriptions for a wallet

Basic, Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/validtxnotes_wallet Returns an ordered list of valid BRC-20 transfer inscriptions held by a given Bitcoin wallet.
sort_by
string
required
Sort field: inscr_num, min_price, min_unit_price, or transfer_amount.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Must be >= 0.
count
integer
required
Number of results. Range: 20–2000.
address
string
required
Bitcoin wallet address.
curl 'https://api.bestinslot.xyz/v3/brc20/validtxnotes_wallet?address=bc1pgmtxez2cnp3wk5q52wjcakrkqqfxukgmannrtttm4kq64q53qw7qw44juz&sort_by=min_unit_price&order=asc&offset=0&count=100' \
  --header 'x-api-key: YOUR_API_KEY'
{
  "data": [
    {
      "inscription_id": "c229a89b9f2e9fb6fd5ef124e6dcf4394163b5ff518f1c5d5ad62eaa02a61c56i0",
      "inscription_number": 10509196,
      "ticker": "giga",
      "transfer_amount": "1900000.000000000000",
      "is_valid": true,
      "is_used": false,
      "satpoint": "c229a89b9f2e9fb6fd5ef124e6dcf4394163b5ff518f1c5d5ad62eaa02a61c56:0:0",
      "min_price": 326880,
      "min_unit_price": "0.17204200000000000000",
      "ordinalswallet_price": null,
      "ordinalswallet_unit_price": null,
      "okx_price": null,
      "okx_unit_price": null,
      "unisat_price": 326880,
      "unisat_unit_price": "0.17204200000000000000"
    },
    ...
  ],
  "block_height": 798387
}

BRC-20 validity check

Basic, Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/single_info Returns validity details for a single inscription, covering its transfer, mint, and deploy interpretations.
inscription_id
string
required
Inscription ID to look up.
curl 'https://api.bestinslot.xyz/v3/brc20/single_info?inscription_id=859905a264deaab7ce88832ad73684ddc45cf9e0022e2700b8ac549f14199279i0' \
  --header 'x-api-key: YOUR_API_KEY'
{
  "data": {
    "transfer_info": {
      "is_valid": true,
      "ticker": "ordi",
      "original_ticker": "ordi",
      "amount": "100.0000000000000000",
      "is_used": true
    },
    "mint_info": {
      "is_valid": false,
      "ticker": null,
      "original_ticker": null,
      "amount": null,
      "mint_wallet": null,
      "parent_id": null
    },
    "deploy_info": {
      "is_valid": false,
      "ticker": null,
      "original_ticker": null,
      "max_supply": null,
      "decimals": null,
      "limit_per_mint": null,
      "is_self_mint": null
    }
  },
  "block_height": 795034
}

BRC-20 batch validity check

Basic, Pro, Dedicated POST https://api.bestinslot.xyz/v3/brc20/batch_info Returns validity details for up to 100 inscriptions in a single request. Each result includes the same transfer_info, mint_info, and deploy_info structure as the single endpoint.
queries
string[]
required
Array of inscription ID strings. Maximum 100 entries.
curl --request POST \
  --url 'https://api.bestinslot.xyz/v3/brc20/batch_info' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: YOUR_API_KEY' \
  --data '{
    "queries": [
      "859905a264deaab7ce88832ad73684ddc45cf9e0022e2700b8ac549f14199279i0",
      "62a2e184ae03ef3ca20a92b628b45b644147fad3e0b1de096f511d41bfcb32bai0",
      "b61b0172d95e266c18aea0c624db987e971a5d6d4ebc2aaed85da4642d635735i0"
    ]
  }'
{
  "data": [
    {
      "inscription_id": "859905a264deaab7ce88832ad73684ddc45cf9e0022e2700b8ac549f14199279i0",
      "transfer_info": {
        "is_valid": true,
        "ticker": "ordi",
        "original_ticker": "ordi",
        "amount": "100.000000000000000000",
        "is_used": true
      },
      "mint_info": {
        "is_valid": false,
        "ticker": null,
        "original_ticker": null,
        "amount": null,
        "mint_wallet": null,
        "parent_id": null
      },
      "deploy_info": {
        "is_valid": false,
        "ticker": null,
        "original_ticker": null,
        "max_supply": null,
        "decimals": null,
        "limit_per_mint": null,
        "is_self_mint": null
      }
    },
    {
      "inscription_id": "62a2e184ae03ef3ca20a92b628b45b644147fad3e0b1de096f511d41bfcb32bai0",
      "transfer_info": {
        "is_valid": false,
        "ticker": null,
        "original_ticker": null,
        "amount": null,
        "is_used": null
      },
      "mint_info": {
        "is_valid": false,
        "ticker": null,
        "original_ticker": null,
        "amount": null,
        "mint_wallet": null,
        "parent_id": null
      },
      "deploy_info": {
        "is_valid": true,
        "ticker": "zeee",
        "original_ticker": "zeee",
        "max_supply": "0.000000000000000001",
        "decimals": "18",
        "limit_per_mint": "1",
        "is_self_mint": false
      }
    },
    {
      "inscription_id": "b61b0172d95e266c18aea0c624db987e971a5d6d4ebc2aaed85da4642d635735i0",
      "transfer_info": {
        "is_valid": false,
        "ticker": null,
        "original_ticker": null,
        "amount": null,
        "is_used": null
      },
      "mint_info": {
        "is_valid": false,
        "ticker": null,
        "original_ticker": null,
        "amount": null,
        "mint_wallet": null,
        "parent_id": null
      },
      "deploy_info": {
        "is_valid": true,
        "ticker": "ordi",
        "original_ticker": "ordi",
        "max_supply": "21000000.000000000000000000",
        "decimals": "18",
        "limit_per_mint": "1000000000000000000000",
        "is_self_mint": false
      }
    }
  ],
  "block_height": 821920
}

Get BRC-20 holders

Basic, Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/holders Returns an ordered list of holders and their balances for a given BRC-20 ticker.
sort_by
string
required
Sort field: balance.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Must be >= 0.
count
integer
required
Number of results. Range: 20–500.
ticker
string
required
BRC-20 ticker symbol.
curl 'https://api.bestinslot.xyz/v3/brc20/holders?ticker=ordi&sort_by=balance&order=desc&offset=0&count=500' \
  --header 'x-api-key: YOUR_API_KEY'
{
  "data": [
    {
      "pkscript": "51207fee8ce58498d8f5228a1f848d9a5d3cf0a8918dbe54935c858875ed23814523",
      "wallet": "bc1p0lhgeevynrv02g52r7zgmxja8nc23yvdhe2fxhy93p676gupg53sw46fy3",
      "overall_balance": "10.0000000000000000"
    },
    ...
  ],
  "block_height": 795034
}

Get BRC-20 events from transaction

Basic, Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/event_from_txid Returns all BRC-20 events contained in a given Bitcoin transaction.
price and marketplace_type fields are only available on Pro tier.
txid
string
required
Bitcoin transaction ID.
curl 'https://api.bestinslot.xyz/v3/brc20/event_from_txid?txid=21b7b3bf48b04af8102a560acdbf3993411a96caa9327b6c07423096ec2e17da' \
  --header 'x-api-key: YOUR_API_KEY'

Pro and Dedicated endpoints

The following endpoints require a Pro or Dedicated API key.

Get BRC-20 sales information

Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/sales_info Returns sales count and volume data for a specific BRC-20 ticker.
ticker
string
required
BRC-20 ticker symbol.
marketplace_type
string
Filter results to a single marketplace. See the Constants page for allowed values.
curl 'https://api.bestinslot.xyz/v3/brc20/sales_info?ticker=ordi&marketplace_type=magiceden' \
  --header 'x-api-key: YOUR_API_KEY'

Get BRC-20 market information

Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/market_info Returns market data for a specific BRC-20 ticker, including marketcap, listed supply count, and floor price.
ticker
string
required
BRC-20 ticker symbol.
curl 'https://api.bestinslot.xyz/v3/brc20/market_info?ticker=ordi' \
  --header 'x-api-key: YOUR_API_KEY'

Get BRC-20 listings

Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/listings Returns active listings for a specific BRC-20 ticker.
sort_by
string
required
Sort field: min_price, min_unit_price, ordinalswallet_price, ordinalswallet_unit_price, unisat_price, unisat_unit_price, okx_price, or okx_unit_price.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Range: 0–5000.
count
integer
required
Number of results. Range: 20–100.
ticker
string
required
BRC-20 ticker symbol.
curl 'https://api.bestinslot.xyz/v3/brc20/listings?ticker=ordi&sort_by=min_unit_price&order=desc&offset=0&count=100' \
  --header 'x-api-key: YOUR_API_KEY'

Get BRC-20 activity

Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/activity Returns an ordered activity stream — mints, transfers, and sales — for a specific BRC-20 ticker. Use last_new_satpoint as a cursor to continue fetching from where you left off. Set order to asc and pass the latest new_satpoint value you received in a previous response as last_new_satpoint (with offset=0) to retrieve only newer activity.
sort_by
string
required
Sort field: ts, unit_price, amount, or sale_price.
order
string
required
Sort direction: asc or desc.
offset
integer
required
Pagination offset. Range: 0–5000.
count
integer
required
Number of results. Range: 20–100.
ticker
string
required
BRC-20 ticker symbol.
activity_filter
integer
required
Bitmask controlling which event types to include. Combine values with bitwise OR:
  • 1 — mints
  • 2 — transfers
  • 4 — sales
Example: 6 returns transfers and sales (2 | 4). 7 returns all event types.
last_new_satpoint
string
Cursor for incremental fetching. Set offset=0 and pass the last new_satpoint received to retrieve only activity that occurred after that point.
wallet
string
Filter activity to a specific Bitcoin wallet address.
curl 'https://api.bestinslot.xyz/v3/brc20/activity?ticker=ordi&activity_filter=7&sort_by=ts&order=desc&offset=0&count=100' \
  --header 'x-api-key: YOUR_API_KEY'

Get BRC-20 wallet activity

Pro, Dedicated GET https://api.bestinslot.xyz/v3/brc20/wallet_activity Returns an ordered activity history for a Bitcoin wallet, including deploy-inscribes, mint-inscribes, transfer-inscribes, and transfer-transfers.
order
string
required
Sort direction by timestamp: asc or desc.
offset
integer
required
Pagination offset. Range: 0–5000.
count
integer
required
Number of results. Range: 20–2000.
wallet_addr
string
required
Bitcoin wallet address.
curl 'https://api.bestinslot.xyz/v3/brc20/wallet_activity?order=asc&offset=0&count=2000&wallet_addr=bc1pxaneaf3w4d27hl2y93fuft2xk6m4u3wc4rafevc6slgd7f5tq2dqyfgy06' \
  --header 'x-api-key: YOUR_API_KEY'

Enterprise and Dedicated endpoints

The following endpoints require an Enterprise or Dedicated (with Enterprise Endpoints) API key.

Get BRC-20 activity on block

Enterprise, Dedicated with Enterprise Endpoints GET https://api.bestinslot.xyz/v3/brc20/activity_on_block Returns all BRC-20 mint inscribes, transfer inscribes, and transfer transfers that occurred in a given block.
The block_height field in the response reflects the latest indexed block height of the indexer, not the queried block height.
block_height
integer
required
Block height to query. Must be less than or equal to the current Bitcoin block height.
curl 'https://api.bestinslot.xyz/v3/brc20/activity_on_block?block_height=802396' \
  --header 'x-api-key: YOUR_API_KEY'

Get BRC-20 balance on block

Enterprise, Dedicated with Enterprise Endpoints GET https://api.bestinslot.xyz/v3/brc20/balance_on_block Returns BRC-20 balances for a wallet at the beginning of the specified block height.
The block_height field in the response reflects the latest indexed block height of the indexer, not the queried block height.
block_height
integer
required
Block height to query. Must not exceed current Bitcoin block height + 1.
pkscript
string
scriptPubKey of the wallet. Provide either pkscript or wallet, not both.
wallet
string
Address of the wallet. Provide either wallet or pkscript, not both.
curl 'https://api.bestinslot.xyz/v3/brc20/balance_on_block?block_height=802397&pkscript=0014cd6cccc69331a96ea0fe0fa5d1d184a811979a8b' \
  --header 'x-api-key: YOUR_API_KEY'

Get BRC-20 batch balance on block

Enterprise, Dedicated with Enterprise Endpoints POST https://api.bestinslot.xyz/v3/brc20/batch_balance_on_block Returns BRC-20 ticker balances for multiple wallets at the beginning of specified block heights. Maximum 100 queries per request.
The block_height field in the response reflects the latest indexed block height of the indexer. If a queried block has not yet been indexed, the response returns {"error": "block not indexed yet"}.
queries
object[]
required
Array of query objects, each containing block_height, ticker, and one of pkscript or wallet. Maximum 100 entries.
curl --request POST \
  --url 'https://api.bestinslot.xyz/v3/brc20/batch_balance_on_block' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: YOUR_API_KEY' \
  --data '{
    "queries": [
      {
        "pkscript": "0014cd6cccc69331a96ea0fe0fa5d1d184a811979a8b",
        "block_height": 802397,
        "ticker": "pepe"
      },
      {
        "pkscript": "512037679ea62eab55ebfd442c53c4ad46b6b75e45d8a8fa9cb31a87d0df268b029a",
        "block_height": 802397,
        "ticker": "meme"
      }
    ]
  }'

Get all valid BRC-20 transfer notes

Enterprise, Dedicated with Enterprise Endpoints GET https://api.bestinslot.xyz/v3/brc20/all_validtxnotes Returns all valid BRC-20 transfer inscriptions across all tickers and wallets.
curl 'https://api.bestinslot.xyz/v3/brc20/all_validtxnotes' \
  --header 'x-api-key: YOUR_API_KEY'

Get all BRC-20 balances

Enterprise, Dedicated with Enterprise Endpoints GET https://api.bestinslot.xyz/v3/brc20/all_balances Returns BRC-20 balances for all wallets across all tickers.
curl 'https://api.bestinslot.xyz/v3/brc20/all_balances' \
  --header 'x-api-key: YOUR_API_KEY'